List Service Plan Definitions

List Service Plan Definitions
List service plan definitions

This endpoint retrieves plan definitions for service plans. Only service plans from offerings that support plan definitions will have definition data populated. This endpoint requires admin privileges.

Request
URI
GET
https://api.example.local/v3/service_plan_definitions
COPY
Query Parameters
integer
page
Optional

Page to display; valid values are integers >= 1

page example
1
integer
per_page
Optional

Number of results per page, valid values are 1 through 5000

per_page example
50
string
order_by
Optional

Value to sort by. Defaults to ascending; prepend with - to sort descending.

order_by example
created_at
string of array
names
Optional

Comma-delimited list of service plan names to filter by

string of array
service_offering_guids
Optional

Comma-delimited list of service offering guids to filter by

string of array
service_broker_guids
Optional

Comma-delimited list of service broker GUIDs to filter by

string of array
service_broker_names
Optional

Comma-delimited list of service broker names to filter by

string
label_selector
Optional

A query string containing a list of label selector requirements

label_selector example
environment=production
string
created_ats
Optional

Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.

created_ats example
2021-01-01T00:00:00Z
string
updated_ats
Optional

Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.

updated_ats example
2021-01-01T00:00:00Z

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ServicePlanDefinitionList of type(s) application/json
{
    "pagination": {
        "total_results": 0,
        "total_pages": 0,
        "first": {
            "href": "string",
            "method": "string"
        },
        "last": {
            "href": "string",
            "method": "string"
        },
        "next": {
            "href": "string",
            "method": "string"
        },
        "previous": {
            "href": "string",
            "method": "string"
        }
    },
    "resources": [
        {
            "guid": "string",
            "definition": {
                "plan_id": "string",
                "name": "string",
                "description": "string",
                "properties": {},
                "metadata": {},
                "created_at": "string",
                "resource_version": "string"
            },
            "relationships": {
                "service_plan": {
                    "data": {
                        "guid": "string"
                    }
                }
            },
            "links": {
                "self": {
                    "href": "string",
                    "method": "string"
                },
                "service_plan": {
                    "href": "string",
                    "method": "string"
                }
            }
        }
    ]
}
object
pagination
Optional

Pagination is a technique used to divide a large set of results into smaller, more manageable sets. This allows clients to retrieve results in smaller chunks, reducing the amount of data transferred and improving performance. The pagination object is a JSON object that contains information about the pagination state of the results. It includes the total number of results available, the total number of pages available, and links to the first, last, next, and previous pages of results.

array of object
resources
Optional

resources


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/service_plan_definitions